> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.withpersona.com/2020-05-18/api-reference/cases/list-all-cases/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.withpersona.com/_mcp/server. # List all Cases GET https://api.withpersona.com/api/v1/cases Returns a list of your organization's cases. Note that this endpoint aggregates cases across all case template(s). See [Pagination](https://docs.withpersona.com/pagination)for more details about handling the response. Results are returned in reverse chronological order, with the most recently created objects first. Reference: https://docs.withpersona.com/api-reference/cases/list-all-cases ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Query parameters - `page` (CasesGetParametersPage, optional) - `fields` (map from string to string, optional) — Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details. - `filter` (CasesGetParametersFilter, optional) ### Headers - `Key-Inflection` (enum, optional) — Determines casing for the API response. - Allowed values: `camel`, `kebab`, `snake` - `Idempotency-Key` (string, optional) — Ensures the request is idempotent. - `Persona-Version` (enum, optional) — Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning). - Allowed values: `2025-12-08`, `2025-10-27`, `2023-01-05`, `2022-09-01`, `2021-08-18`, `2021-07-05`, `2021-02-21`, `2020-05-18` ## Response ### 200 This endpoint returns a collection of Case objects. - `data` (list of case, required) — An array of Cases - `links` (CasesGetResponsesContentApplicationJsonSchemaLinks, required) ## Errors ### 400 Bad Request Error The request was unacceptable, often due to invalid parameters. - `errors` (list of CasesGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 401 Unauthorized Error An invalid API key was provided. - `errors` (list of CasesGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 403 Forbidden Error The given API key doesn’t have permissions to perform the request or a quota has been exceeded. - `errors` (list of CasesGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 404 Not Found Error The requested resource doesn’t exist. - `errors` (list of CasesGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 429 Too Many Requests Error Your organization’s rate limit has been exceeded. We recommend an exponential backoff on requests. - `errors` (list of CasesGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ## Types ### CasesGetParametersPage - `after` (string, optional) — Object ID for pagination cursor - `before` (string, optional) — Object ID for pagination cursor - `size` (double, optional) — Limit on the number of objects returned ### CasesGetParametersFilter - `status` (string, optional) — Filter cases by status - `case-template-id` (string, optional) — Filter cases by case template ID - `account-id` (string, optional) — Filter cases by account ID - `reference-id` (string, optional) — Filter cases by reference ID - `inquiry-id` (string, optional) — Filter cases by inquiry ID - `report-id` (string, optional) — Filter cases by report ID ### case A Case object - `type` ("case", optional) - `id` (string, optional) - `attributes` (CaseAttributes, optional) - `relationships` (CaseRelationships, optional) ### CasesGetResponsesContentApplicationJsonSchemaLinks - `next` (string, required, nullable) - `prev` (string, required, nullable) ### CasesGetResponsesContentApplicationJsonSchemaErrorsItems - `title` (string, optional) - `details` (string, optional) ### CaseAttributes - `status` (string, optional) - `name` (string, optional) - `resolution` (string, optional, nullable) - `created-at` (string, optional) - `updated-at` (string, optional, nullable) - `assigned-at` (string, optional, nullable) - `resolved-at` (string, optional, nullable) - `redacted-at` (string, optional, nullable) - `sla-expires-at` (string, optional, nullable) - `creator-id` (string, optional, nullable) - `creator-type` (string, optional, nullable) — Possible values: - user - workflow-run Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. - `assignee-id` (string, optional, nullable) - `assigner-id` (string, optional, nullable) - `assigner-type` (string, optional, nullable) — Possible values: - case-assignment-policy - user - workflow-run Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. - `resolver-id` (string, optional, nullable) - `resolver-type` (string, optional, nullable) — Possible values: - api-key - user - workflow-run Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. - `updater-id` (string, optional, nullable) - `updater-type` (string, optional, nullable) — Possible values: - api-key - case-assignment-policy - user - workflow-run Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. - `tags` (list of any, optional) - `fields` (map from string to any, optional) — JSON key-value pairs of field name to field value. Exact schema depends on the configuration of the Case template for this Case. - `attachments` (list of CaseAttributesAttachmentsItems, optional) ### CaseRelationships - `accounts` (CaseRelationshipsAccounts, optional) - `case-comments` (CaseRelationshipsCaseComments, optional) - `case-template` (CaseRelationshipsCaseTemplate, optional) - `case-queue` (CaseRelationshipsCaseQueue, optional) - `inquiries` (CaseRelationshipsInquiries, optional) - `reports` (CaseRelationshipsReports, optional) - `verifications` (CaseRelationshipsVerifications, optional) - `txns` (CaseRelationshipsTxns, optional) ### CaseAttributesAttachmentsItems - `filename` (string, optional) - `url` (string, optional) - `byte-size` (integer, optional) ### CaseRelationshipsAccounts - `data` (list of CaseRelationshipsAccountsDataItems, optional) ### CaseRelationshipsCaseComments - `data` (list of CaseRelationshipsCaseCommentsDataItems, optional) ### CaseRelationshipsCaseTemplate - `data` (CaseRelationshipsCaseTemplateData, optional) ### CaseRelationshipsCaseQueue - `data` (CaseRelationshipsCaseQueueData, optional, nullable) ### CaseRelationshipsInquiries - `data` (list of CaseRelationshipsInquiriesDataItems, optional) ### CaseRelationshipsReports - `data` (list of CaseRelationshipsReportsDataItems, optional) ### CaseRelationshipsVerifications - `data` (list of CaseRelationshipsVerificationsDataItems, optional) ### CaseRelationshipsTxns - `data` (list of CaseRelationshipsTxnsDataItems, optional) ### CaseRelationshipsAccountsDataItems - `id` (string, optional) - `type` ("account", optional) ### CaseRelationshipsCaseCommentsDataItems - `id` (string, optional) - `type` ("case-comment", optional) ### CaseRelationshipsCaseTemplateData - `id` (string, optional) - `type` ("case-template", optional) ### CaseRelationshipsCaseQueueData - `id` (string, optional) - `type` ("case-queue", optional) ### CaseRelationshipsInquiriesDataItems - `id` (string, optional) - `type` ("inquiry", optional) ### CaseRelationshipsReportsDataItems - `id` (string, optional) - `type` (string, optional) ### CaseRelationshipsVerificationsDataItems - `id` (string, optional) - `type` (string, optional) ### CaseRelationshipsTxnsDataItems - `id` (string, optional) - `type` ("transaction", optional) ## Examples **Response** ```json { "data": [ { "type": "case", "id": "case_KsFU1Vxv9oK3ztnwQuD7MaJo", "attributes": { "status": "open", "name": "KCAS-1", "resolution": null, "created-at": "2021-03-24T04:59:21.764Z", "updated-at": "2021-03-24T04:59:21.764Z", "assigned-at": null, "resolved-at": null, "redacted-at": null, "sla-expires-at": null, "creator-id": "case_creator@withpersona.com", "creator-type": "user", "assignee-id": "case_assignee@withpersona.com", "assigner-id": "case_assigner@withpersona.com", "assigner-type": "user", "resolver-id": null, "resolver-type": null, "updater-id": "case_updater@withpersona.com", "updater-type": "user", "tags": [], "fields": {}, "attachments": [] }, "relationships": { "accounts": { "data": [] }, "case-comments": { "data": [] }, "case-template": { "data": { "id": "ctmpl_336jV1uVaaY84GAqvG91oiy9", "type": "case-template" } }, "case-queue": { "data": { "id": "cqueue_7JRbkcdbx9fTossK98NJvRZcmk1", "type": "case-queue" } }, "inquiries": { "data": [ { "id": "inq_eGK41TM6GjcZgdcoox7x8Hh0", "type": "inquiry" } ] }, "reports": { "data": [] }, "verifications": { "data": [] }, "txns": { "data": [] } } } ], "links": { "next": "/api/v1/cases?page%5Bafter%5D=case_19pQg1NHfYeUdpIvYZ54xmDz", "prev": null } } ``` **SDK Code** ```python Success import requests url = "https://api.withpersona.com/api/v1/cases" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript Success const url = 'https://api.withpersona.com/api/v1/cases'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Success package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.withpersona.com/api/v1/cases" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Success require 'uri' require 'net/http' url = URI("https://api.withpersona.com/api/v1/cases") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java Success import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.withpersona.com/api/v1/cases") .header("Authorization", "Bearer ") .asString(); ``` ```php Success request('GET', 'https://api.withpersona.com/api/v1/cases', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp Success using RestSharp; var client = new RestClient("https://api.withpersona.com/api/v1/cases"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift Success import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.withpersona.com/api/v1/cases")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```